Subject: Re: [Simple] WGLC on isComposing draft

From: Henning Schulzrinne <[email-masked]>
Date: Tue, 11 May 2004 17:54:12 -0400

Going through comments, omitting items discussed earlier.

Miguel Garcia wrote:

> Is there a reason why the schema does no have a maxOccurs attribute set 
> to 1 for the "state" and "lastactive" elements, whereas other elements 
> have it? I guess there should be just one state element, and if a 
> lastactive element is present, there should be just one.

The default value for both minOccurs and maxOccurs is 1, so I will drop
all *Occurs that are equal to the default.

> On the format of the draft, I believe newcomers will find hard to read 
> the document with the current structure. It assumes a lot of previous 
> reading. It is nowhere written that the isComposing indication is 
> carried in an XML document composed according to the schema defined in 
> section 6 (it is just assumed). The Content-Type is never introduced in 

I now reference the schema in the introduction.

> the text, just registered in section 8. The example precedes the schema 
> definition (I believe the example should be at the end of the document).

I like examples earlier, since they are generally of more interest than
schema details.

> 
> I am also missing the normative statements saying something on the 
> following lines:
> 
>    An isComposing document is an XML document that MUST be
>    well-formed and SHOULD be valid. isComposing documents MUST
>    be based on XML 1.0 and MUST be encoded using UTF-8. This
>    specification makes use of XML namespaces for identifying isComposing
>    documents The namespace URI for elements defined for this purpose is
>    a URN, using the namespace identifier 'ietf'. This URN is:
> 
>       urn:ietf:params:xml:ns:sip-iscomposing
> 

Added.

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Henning Schulzrinne <[email-masked]>
Date: Tue, 11 May 2004 17:54:12 -0400

Added.